{
  "command": "forkyz.sh",
  "finish-args": [
    "--share=network",
    "--device=dri",
    "--socket=x11",
    "--env=JAVA_HOME=/app/jre"
  ],
  "id": "com.gitlab.Hague.forkyz",
  "modules": [
    {
      "build-commands": [
        "/usr/lib/sdk/openjdk17/install.sh"
      ],
      "buildsystem": "simple",
      "name": "openjdk"
    },
    {
      "build-commands": [
        "mkdir -p /app/lib",
        "ln -sf /usr/lib/$(gcc -print-multiarch)/libdbus-1.so.3 /app/lib/libdbus-1.so"
      ],
      "buildsystem": "simple",
      "name": "dbus-compat"
    },
    {
      "build-commands": [
        "./gradlew clean",
        "./gradlew packageReleaseUberJarForCurrentOS",
        "install -Dm644 composeApp/build/compose/jars/app.crossword.yourealwaysbe.forkyz-*-release.jar /app/lib/com.gitlab.Hague.forkyz.jar",
        "install -Dm755 flatpak/forkyz.sh /app/bin/forkyz.sh",
        "install -Dm644 flatpak/com.gitlab.Hague.forkyz.desktop /app/share/applications/com.gitlab.Hague.forkyz.desktop",
        "install -Dm644 flatpak/com.gitlab.Hague.forkyz.svg /app/share/icons/hicolor/scalable/apps/com.gitlab.Hague.forkyz.svg",
        "install -Dm644 flatpak/com.gitlab.Hague.forkyz.metainfo.xml /app/share/metainfo/com.gitlab.Hague.forkyz.metainfo.xml"
      ],
      "build-options": {
        "env": {
          "JAVA_HOME": "/usr/lib/sdk/openjdk17/jvm/openjdk-17",
          "PATH": "/app/bin:/usr/bin:/usr/lib/sdk/openjdk17/bin"
        },
        "build-args": [ "--share=network" ]
      },
      "buildsystem": "simple",
      "license-files": [
        "LICENSE"
      ],
      "name": "forkyz",
      "sources": [
        {
          "type": "dir",
          "path": "../"
        }
      ]
    }
  ],
  "runtime": "org.freedesktop.Platform",
  "runtime-version": "25.08",
  "sdk": "org.freedesktop.Sdk",
  "sdk-extensions": [
    "org.freedesktop.Sdk.Extension.openjdk17"
  ]
}
